NX Open C++ Reference Guide
|
Represents a CAE::ModelCheck::ElementMaterialOrientationCheckBuilder used to check the material orientation for shell and solid elements. More...
Public Types | |
enum | MaterialOrientationType { MaterialOrientationTypeShell, MaterialOrientationTypeSolidFirstDirection, MaterialOrientationTypeSolidSecondDirection, MaterialOrientationTypeSolidThirdDirection } |
the material orientation type More... | |
Public Member Functions | |
std::vector< NXOpen::Vector3d > | DoCheck (std::vector< NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::MaterialOrientationType > &orientationType, std::vector< NXOpen::CAE::FEElement * > &elements) |
Calculates material orientation vector for input elements and returns the orientation vector result. | |
bool | GetCheckOrientation (NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::MaterialOrientationType orientationType) |
Gets option value which indicates whether to check for the specified material orientation type. | |
NXOpen::NXColor * | GetOrientationColor (NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::MaterialOrientationType orientationType) |
Gets display color of a specified material orientation type. | |
NXOpen::SelectTaggedObjectList * | SelectionList () |
Returns the selected objects to be checked. | |
void | SetCheckOrientation (NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::MaterialOrientationType orientationType, bool checkOrientation) |
Sets option value which indicates whether to check for the specified material orientation type Created in NX8.5.0. | |
void | SetOrientationColor (NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::MaterialOrientationType orientationType, NXOpen::NXColor *color) |
Sets display color of a specified material orientation type Created in NX8.5.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::ModelCheck::ElementMaterialOrientationCheckBuilder used to check the material orientation for shell and solid elements.
Use @link Builder::Commit Builder::Commit@endlink to calculate material orientation and to display an orientation vector for each input element. Use @link CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::DoCheck CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::DoCheck@endlink to calculate the material orientation for each input element and return the orientation vector result. If an element fails when calculating it's material orientation, the element will be displayed in red and outputed to listing information window. <br> To create a new instance of this class, use @link CAE::ModelCheckManager::CreateElementMaterialOrientationCheckBuilder CAE::ModelCheckManager::CreateElementMaterialOrientationCheckBuilder @endlink <br>
Created in NX8.5.0.
the material orientation type
std::vector<NXOpen::Vector3d> NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::DoCheck | ( | std::vector< NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::MaterialOrientationType > & | orientationType, |
std::vector< NXOpen::CAE::FEElement * > & | elements | ||
) |
Calculates material orientation vector for input elements and returns the orientation vector result.
orientationType | orientationtype |
elements | the elements associated with the orientation vectors |
bool NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::GetCheckOrientation | ( | NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::MaterialOrientationType | orientationType | ) |
Gets option value which indicates whether to check for the specified material orientation type.
orientationType | orientationtype |
NXOpen::NXColor* NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::GetOrientationColor | ( | NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::MaterialOrientationType | orientationType | ) |
Gets display color of a specified material orientation type.
orientationType | orientationtype |
NXOpen::SelectTaggedObjectList* NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::SelectionList | ( | ) |
Returns the selected objects to be checked.
The objects must be CAE::Mesh or CAE::FEElement
Created in NX8.5.0.
License requirements : None
void NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::SetCheckOrientation | ( | NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::MaterialOrientationType | orientationType, |
bool | checkOrientation | ||
) |
Sets option value which indicates whether to check for the specified material orientation type
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
orientationType | orientationtype |
checkOrientation | checkorientation |
void NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::SetOrientationColor | ( | NXOpen::CAE::ModelCheck::ElementMaterialOrientationCheckBuilder::MaterialOrientationType | orientationType, |
NXOpen::NXColor * | color | ||
) |
Sets display color of a specified material orientation type
Created in NX8.5.0.
License requirements : nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")
orientationType | orientationtype |
color | color |